from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class ContextMenuInterceptorAction(IntEnum):
    IGNORED = auto()
    CANCELLED = auto()
    EXECUTE_MODIFIED = auto()
    CONTINUE_MODIFIED = auto()
